<?php
class Component_News implements Core_ModuleInterface
{
	public static function initialize()
	{
		CMS::add_component('News', new Component_News_Router);
		CMS::orm()->add('news','Component.News.DB');
	}
}

class Component_News_Router extends CMS_Router
{
	public function controllers()
	{
		return array(
			'Component.News.Controller' => array(
				'path' => '/news/',
				'rules' => array(
					'{^$}' => array('action' => 'view_list'),
					'{^(\d+)/$}' => array('{1}','action' => 'view_item'),
				),
			),
			'Component.News.Admin' => array(
				'path' => '/admin/news/',
				'table-admin' => true,
			),
		);
	}
}
