<?php

class Component_News_Controller extends CMS_Controller implements Core_ModuleInterface
{
	public function view_list()
	{
		return $this->render('list',array(
			'rows' => CMS::orm()->news,
		));
	}
	
	public function view_item($id)
	{
		// Загрузим запись
		$item = CMS::orm()->news->find($id);
		
		// Если такой новости не существует,
		// то вернем 404
		if (!$item) {
			return $this->page_not_found();
		}
		
		return $this->render('item',array(
			'item' => $item,
		));
	}

}
