<?php

class Component_News_DB extends CMS_ORM_Mapper implements Core_ModuleInterface
{
	public function setup()
	{
		return $this
			->table('news')
			->classname('Component_News_DB_Item')
			->key('id')
			->order_by('idate DESC,id DESC')
			->columns('id','idate','title','announce','content');
	}
}

class Component_News_DB_Item extends CMS_ORM_Entity
{
	public function setup()
	{
		// Не забываем вызвать setup у родительского класса
		parent::setup();
		
		// Устанавливаем текущую дату
		$this['idate'] = time();
		
		// Обязательно нужно вернуть $this
		return $this;
	}
}

